<template>
  <div @click="toggleSidebar()">
    <IHamburger
      class="w-4 h-4"
      :class="isColorText04 ? 'fill-[var(--text4)]' : 'fill-[var(--text3)]'"
    />
    <span
      v-if="isHasUnreadMessage"
      class="absolute h-1 w-1 rounded-full bg-failure top-[1px] right-0"
    ></span>
  </div>
</template>

<script setup lang="ts">
import { store } from "@/store";
import IHamburger from "~/assets/icons/hamburger.svg?component";
import { memberMessageStore } from "~~/store/member-message";

const props = defineProps({
  isUserCenter: {
    type: Boolean,
    default: false,
  },
  isColorText04: {
    type: Boolean,
    default: false,
  },
});
const toggleSidebar = () => {
  props.isUserCenter
    ? store.commit("updateSideBarDirection", "rtl")
    : store.commit("updateSideBarDirection", "ltr");
  store.commit("updateSidebar", !store.state.showSidebar);
};
const isHasUnreadMessage = computed(() => {
  return memberMessageStore.getters.isHasUnreadMessage;
});
</script>

<style scoped></style>
